// ◇ UTF-8

/*
 * このJNIエントリは、src/com/example/landloader/java/t01/JNILIB.javaに
 * 対応するものとして作られています。
 * 対応javaライブラリ名を変更したい場合は、jni/Application.mkの
 * > MY_JNI_EXPORT_PATH := com_example_landloader_java_t01
 * > MY_JNI_EXPORT_NAME := JNILIB
 * を変更する必要があります。
 */

#define LOG_SUBTAG    "jnitest"
#define LOGV_ENABLE 0
#define LOGD_ENABLE 0
#define LOGI_ENABLE 1

#include "jnitest.h"

// =====================================================================
// JNIとしてloadされたときのコールバック
// =====================================================================

jint JNI_OnLoad(
	JavaVM *vm,
	void *reserved
) {
	LOGI("start");
	return JNI_VERSION_1_6;
}

// =====================================================================
// JNIとしてunloadされるときのコールバック
// =====================================================================

void JNI_OnUnload(
	JavaVM *vm,
	void *reserved
) {
	LOGI("start");
	return;
}

// =====================================================================
// JNIエクスポート
// public static native void TestFunc();
// =====================================================================

JNIEXPORT void JNICALL JNI_EXPORT_FUNCNAME(TestFunc)(
	JNIEnv * env,
	jclass clazz
) {
	LOGI("start");

	// libandroid.so内の関数呼び出しテスト
	AConfiguration_new();

	LOGI("end");
}

// [EOF}
